org.mariadb.jdbc.internal.queryresults.resultset.value

## Interface ValueObject

All Known Implementing Classes:
  AbstractValueObject, GeneratedKeyValueObject, MariaDbValueObject

    public interface ValueObject

### Field Summary

Fields
`static int` `TINYINT1_IS_BIT`
`static int` `YEAR_IS_DATE_TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`BigDecimal` `getBigDecimal()`
`BigInteger` `getBigInteger()`
`InputStream` `getBinaryInputStream()`
`Blob` `getBlob()`
`boolean` `getBoolean()`
`byte` `getByte()`
`byte[]` `getBytes()`
`Clob` `getClob()`
`Date` `getDate(Calendar cal)`
`double` `getDouble()`
`float` `getFloat()`
`InputStream` `getInputStream()`
`int` `getInt()`
`long` `getLong()`
`<T> T` `getObject(Class<T> type)`
`Object` `getObject(int datatypeMappingFlags, Calendar cal)`
`short` `getShort()`
`String` `getString()`
`String` `getString(Calendar cal)`
`Time` `getTime(Calendar cal)`
`Timestamp` `getTimestamp(Calendar cal)`
`boolean` `isNull()`

### Field Detail

#### TINYINT1_IS_BIT

    static final int TINYINT1_IS_BIT

See Also:
  Constant Field Values

#### YEAR_IS_DATE_TYPE

    static final int YEAR_IS_DATE_TYPE

See Also:
  Constant Field Values

### Method Detail

#### getString

    String getString(Calendar cal)
              throws SQLException

Throws:
  `SQLException`

#### getString

    String getString()
              throws SQLException

Throws:
  `SQLException`

#### getLong

    long getLong()
          throws SQLException

Throws:
  `SQLException`

#### getInt

    int getInt()
        throws SQLException

Throws:
  `SQLException`

#### getShort

    short getShort()
            throws SQLException

Throws:
  `SQLException`

#### getByte

    byte getByte()
          throws SQLException

Throws:
  `SQLException`

#### getBytes

    byte[] getBytes()

#### getFloat

    float getFloat()
            throws SQLException

Throws:
  `SQLException`

#### getDouble

    double getDouble()
              throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    BigDecimal getBigDecimal()
                      throws SQLException

Throws:
  `SQLException`

#### getBigInteger

    BigInteger getBigInteger()
                      throws SQLException

Throws:
  `SQLException`

#### getInputStream

    InputStream getInputStream()

#### getBinaryInputStream

    InputStream getBinaryInputStream()

#### getObject

    Object getObject(int datatypeMappingFlags,
                     Calendar cal)
              throws SQLException,
                     ParseException

Throws:
  `SQLException`
  `ParseException`

#### getObject

    <T> T getObject(Class<T> type)
             throws SQLException

Throws:
  `SQLException`

#### getDate

    Date getDate(Calendar cal)
          throws ParseException

Throws:
  `ParseException`

#### getTime

    Time getTime(Calendar cal)
          throws ParseException

Throws:
  `ParseException`

#### getTimestamp

    Timestamp getTimestamp(Calendar cal)
                    throws ParseException

Throws:
  `ParseException`

#### getBoolean

    boolean getBoolean()

#### isNull

    boolean isNull()

#### getBlob

    Blob getBlob()

#### getClob

    Clob getClob()